# Uses of Class
org.opensaml.security.x509.PKIXValidationOptions

Packages that use PKIXValidationOptions
Package
Description
org.opensaml.security.x509
X.509-based credential and trust classes.
org.opensaml.security.x509.impl
`TrustEngine` implementation classes related to PKIX.

## Uses of PKIXValidationOptions in org.opensaml.security.x509

Methods in org.opensaml.security.x509 that return PKIXValidationOptions
Modifier and Type
Method
Description
`PKIXValidationOptions`
PKIXTrustEvaluator.`getPKIXValidationOptions()`
Get the `PKIXValidationOptions` instance that is in use.

## Uses of PKIXValidationOptions in org.opensaml.security.x509.impl

Subclasses of PKIXValidationOptions in org.opensaml.security.x509.impl
Modifier and Type
Class
Description
`class`
`CertPathPKIXValidationOptions`
Specialization of `PKIXValidationOptions` which specifies options specific to a `PKIXTrustEvaluator` based on the Java CertPath API.
Fields in org.opensaml.security.x509.impl declared as PKIXValidationOptions
Modifier and Type
Field
Description
`private PKIXValidationOptions`
CertPathPKIXTrustEvaluator.`options`
Options influencing processing behavior.
Methods in org.opensaml.security.x509.impl that return PKIXValidationOptions
Modifier and Type
Method
Description
`PKIXValidationOptions`
CertPathPKIXTrustEvaluator.`getPKIXValidationOptions()`
Get the `PKIXValidationOptions` instance that is in use.
Methods in org.opensaml.security.x509.impl with parameters of type PKIXValidationOptions
Modifier and Type
Method
Description
`void`
CertPathPKIXTrustEvaluator.`setPKIXValidationOptions(PKIXValidationOptions newOptions)`
Set the desired PKIX validation options set.
Constructors in org.opensaml.security.x509.impl with parameters of type PKIXValidationOptions
Modifier
Constructor
Description
``
`CertPathPKIXTrustEvaluator(PKIXValidationOptions newOptions)`
Constructor.